Package twisted :: Package spread :: Module flavors :: Class Viewable

[frames | no frames]

## Class Viewable

    Jellyable --+
                |
     Serializable --+
                    |
                   Viewable

Known Subclasses:
  `CGIProcessProtocol`, `FileTransfer`, `PathViewContextDirectory`, `PathViewDirectory`

I will be converted to a `ViewPoint` when passed to or returned from a remote method.

The beginning of a peer's interaction with a PB Service is always through a perspective. However, if a `perspective_xxx` method returns a Viewable, it will be serialized to the peer as a response to that method.

Method Summary
| ``jellyFor`(self, jellier)` Serialize a `ViewPoint` for me and the perspective of the given broker.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Method Details

### jellyFor(self, jellier)

Serialize a `ViewPoint` for me and the perspective of the given broker.

  Overrides:
    `twisted.spread.jelly.Jellyable.jellyFor`

Generated by Epydoc 2.0 on Sat May 15 20:08:17 2004 | http://epydoc.sf.net